Solid Edge Part Type Library
GetSliverFacesOfBody Method
Specify tolerance for Sliver.
Returns total number of Sliver faces.
Returns array of Sliver faces having tolerance less than specified.
Returns array of width of Sliver faces.
Description
Returns array of Sliver faces and width of respective faces.
Syntax
Visual Basic
Public Sub GetSliverFacesOfBody( _
   ByVal dSliverTolerance As Double, _
   ByRef NumSliverFaces As Long, _
   ByRef SliverFaces() As Object, _
   ByRef WidthOfSliverFaces() As Double _
) 
Parameters
dSliverTolerance
Specify tolerance for Sliver.
NumSliverFaces
Returns total number of Sliver faces.
SliverFaces
Returns array of Sliver faces having tolerance less than specified.
WidthOfSliverFaces
Returns array of width of Sliver faces.
Example
Imports System.Runtime.InteropServices
Public Class GetSilverFacesOfBody

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgePart.PartDocument = Nothing
        Dim objModels As SolidEdgePart.Models = Nothing
        Dim objModel As SolidEdgePart.Model = Nothing
        Dim objType As Type = Nothing

        Dim dSliverTolerance As Double
        Dim NumSliverFaces As Integer
        Dim SliverFaces(1) As Object
        Dim WidthOfSliverFaces(1) As Double
        dSliverTolerance = 0.2

        Try
            ' Create/get the application with specific settings
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")

            If objApplication Is Nothing Then
                ' Get the type from the Solid Edge ProgID
                objType = Type.GetTypeFromProgID("SolidEdge.Application")
                ' Start Solid Edge
                objApplication = Activator.CreateInstance(objType)
                ' Make Solid Edge visible
                objApplication.Visible = True
            End If

            ' Get document
            objDoc = objApplication.ActiveDocument

            ' get the models collection
            objModels = objDoc.Models()
            objModel = objModels.Item(1)

            Call objModel.GetSliverFacesOfBody(dSliverTolerance, NumSliverFaces, SliverFaces, WidthOfSliverFaces)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Class
See Also

Model Object  | Model Members